+++
title = "Getting started"
weight = 1
+++

## Getting started with Python scripting

We assume that BornAgain and Python are installed as explained in the
[installation instructions]({{% relref "installation" %}}).

Verify that the Python interpreter can [find BornAgain]({{% ref-py "start/find.md" %}}).

The next step is to
[run a first example script]({{% ref-py "start/run.md" %}}).

Then [read on]({{% relref "py" %}})
to understand some example scripts line by line,
and to discover further functionality.

Finally, to start productive work,
choose an example script that somehow ressembles your application problem,
and modify it step by step.

For reference beyond this tutorial,
see the [API documentation]({{% ref-py "python-api" %}})

Note that all examples shown in this web site are also contained
in the BornAgain source tree
in directory [Examples]({{% url-src %}}/Examples).
They are covered by our automatic integration tests.
If nonetheless an example does not work as expected,
then please [report this as a bug]({{% relref "howto/get-help" %}}).
